Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.param
Class VersionTypeSeedParameterSpecification

    java.lang.Object
      org.hibernate.param.VersionTypeSeedParameterSpecification

All Implemented Interfaces:
  ParameterSpecification

    public class VersionTypeSeedParameterSpecification

extends Object
implements ParameterSpecification

Implementation of VersionTypeSeedParameterSpecification.

Author:
  Steve Ebersole

Constructor Summary
`VersionTypeSeedParameterSpecification(VersionType type)`

Method Summary
`int` | `bind(PreparedStatement statement, QueryParameters qp, SessionImplementor session, int position)` Bind the appropriate value into the given statement at the specified position.
`Type` | `getExpectedType()` Get the type which we are expeting for a bind into this parameter based on translated contextual information.
`String` | `renderDisplayInfo()` Render this parameter into displayable info (for logging, etc).
`void` | `setExpectedType(Type expectedType)` Injects the expected type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VersionTypeSeedParameterSpecification

    public VersionTypeSeedParameterSpecification(VersionType type)

Method Detail

### bind

    public int bind(PreparedStatement statement,
                    QueryParameters qp,
                    SessionImplementor session,
                    int position)
             throws SQLException

  Description copied from interface: `ParameterSpecification`
  Bind the appropriate value into the given statement at the specified position.

  Specified by:
    `bind` in interface `ParameterSpecification`
  Parameters:
    `statement` - The statement into which the value should be bound.
    `qp` - The defined values for the current query execution.
    `session` - The session against which the current execution is occuring.
    `position` - The position from which to start binding value(s).
  Returns:
    The number of sql bind positions "eaten" by this bind operation.
  Throws:
    `SQLException` - Indicates problems performing the JDBC biind operation.
  See Also:
    `ParameterSpecification.bind(java.sql.PreparedStatement, org.hibernate.engine.QueryParameters, org.hibernate.engine.SessionImplementor, int)`

### getExpectedType

    public Type getExpectedType()

  Description copied from interface: `ParameterSpecification`
  Get the type which we are expeting for a bind into this parameter based on translated contextual information.

  Specified by:
    `getExpectedType` in interface `ParameterSpecification`
  Returns:
    The expected type.

### setExpectedType

    public void setExpectedType(Type expectedType)

  Description copied from interface: `ParameterSpecification`
  Injects the expected type. Called during translation.

  Specified by:
    `setExpectedType` in interface `ParameterSpecification`
  Parameters:
    `expectedType` - The type to expect.

### renderDisplayInfo

    public String renderDisplayInfo()

  Description copied from interface: `ParameterSpecification`
  Render this parameter into displayable info (for logging, etc).

  Specified by:
    `renderDisplayInfo` in interface `ParameterSpecification`
  Returns:
    The displayable info.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD